Subject: [tram] Milestone 5: TURN bis

From: Simon Perreault <[email-masked]>
Date: Fri, 07 Feb 2014 09:41:40 -0500

A new revision of RFC 5766 will contain:

- Various bug fixes
- Support for multi-tenant servers

Above is an extract from the charter we have been working on in Github.
But I think "Support for multi-tenant servers" is no longer appropriate
for this milestone. First, it's really about STUN, not TURN, as recent
discussions have shown. Second, this can be done as an extension, as the
ORIGIN draft has shown. (This does not preclude adding the extension to
a STUN bis document, though.) So this leaves bug fixes.

Anyway, IMHO, as for milestone 4, this is a lower-priority milestone.
Completion of milestones 1,2,3 should be well in sight before we adopt a
draft for this milestone. Nothing prevents individual people from
starting work on this right now, but I would like the working group to
delay adoption until higher-priority milestones are almost done.

This is also a longer-term effort. I suppose many draft revisions will
be necessary. Therefore the target would be maybe one year away.

Simon
-- 
DTN made easy, lean, and smart --> http://postellation.viagenie.ca
NAT64/DNS64 open-source        --> http://ecdysis.viagenie.ca
STUN/TURN server               --> http://numb.viagenie.ca

---

From: Alan Johnston <[email-masked]>
Date: Fri, 7 Feb 2014 10:36:28 -0600

Simon,

I agree with this set of milestones and the prioritization.  I agree that
the multi-tenant work should be done in the 2nd milestone on new
authentication since we need these extensions now for deployment.
Milestones 4 and 5 should be the final work done in this group, which we
should move forward with carefully on them to ensure that we haven't missed
anything.

- Alan -

On Fri, Feb 7, 2014 at 8:41 AM, Simon Perreault <[email-masked]
> wrote:

> _______________________________________________
> tram mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/tram
>

---

From: "Gonzalo Salgueiro (gsalguei)" <[email-masked]>
Date: Fri, 7 Feb 2014 17:02:41 +0000

+1

-G

On Feb 7, 2014, at 11:36 AM, Alan Johnston <[email-masked]> wrote:

> Simon,
> 
> I agree with this set of milestones and the prioritization.  I agree that the multi-tenant work should be done in the 2nd milestone on new authentication since we need these extensions now for deployment.   Milestones 4 and 5 should be the final work done in this group, which we should move forward with carefully on them to ensure that we haven't missed anything.
> 
> - Alan -
> 
> 
> On Fri, Feb 7, 2014 at 8:41 AM, Simon Perreault <[email-masked]> wrote:

---

From: Marc Petit-Huguenin <[email-masked]>
Date: Fri, 07 Feb 2014 12:12:35 -0700

TURN-bis is more of a placeholder for if and when we find bugs in it (there is
only one editorial errata so far).  This said I already found two in STUN, and
I only did 1/3 of the analysis on it, so I expect to find some in RFC 5766.

So I think that we should not have a milestone for this yet - we can always
add one later.

On 02/07/2014 07:41 AM, Simon Perreault wrote:
> - Various bug fixes - Support for multi-tenant servers
> 
> Above is an extract from the charter we have been working on in Github. But
> I think "Support for multi-tenant servers" is no longer appropriate for
> this milestone. First, it's really about STUN, not TURN, as recent 
> ORIGIN draft has shown. (This does not preclude adding the extension to a
> STUN bis document, though.) So this leaves bug fixes.
> 
> draft for this milestone. Nothing prevents individual people from starting
> work on this right now, but I would like the working group to delay
> adoption until higher-priority milestones are almost done.
> 
> This is also a longer-term effort. I suppose many draft revisions will be
> necessary. Therefore the target would be maybe one year away.
> 
> Simon
> 

- -- 
Marc Petit-Huguenin
Email: [email-masked]
Blog: http://blog.marc.petit-huguenin.org
Profile: http://www.linkedin.com/in/petithug